/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


$(".filaPlantel").click(function () {
    detallesPlantel(this.id);
});

function detallesPlantel(p) {
    modalActivo = 1;
    plantel = p;
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/pagosRapidos',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {p: p},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("cont_det_pago").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("cont_det_pago").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("cont_det_pago").innerHTML = '|°__°|';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}//detallesPlantel


function guardarPagoRapido() {
    var idePla = document.getElementById("idePlaSel").value;
    var monPag = document.getElementById("monPag").value;
    var checkEnfermeria = document.getElementById("checkEnfermeria").checked; // NUEVO CAMPO

    var tipPag = document.getElementById("tipPag").value;
    var refPag = document.getElementById("refPag").value;
    var cveBan = document.getElementById("cveBan").value;
    var fecPag = document.getElementById("fecPag").value;
    var pagUno = document.getElementById("pagUno").value; // NUEVO CAMPO

    var tipPag2 = document.getElementById("tipPag2").value;
    var refPag2 = document.getElementById("refPag2").value;
    var cveBan2 = document.getElementById("cveBan2").value;
    var fecPag2 = document.getElementById("fecPag2").value;
    var pagDos = document.getElementById("pagDos").value; // NUEVO CAMPO

    var tipPag3 = document.getElementById("tipPag3").value;
    var refPag3 = document.getElementById("refPag3").value;
    var cveBan3 = document.getElementById("cveBan3").value;
    var fecPag3 = document.getElementById("fecPag3").value;
    var pagTres = document.getElementById("pagTres").value; // NUEVO CAMPO

    var desPag = document.getElementById("desPag").value;
    var entrega = document.getElementById("entrega").value;
    var recibe = document.getElementById("recibe").value;
    var alumnos = null;
    
    //console.log(checkEnfermeria);

    if (idePla == "" | monPag == "" | tipPag == "default" | refPag == "" | pagUno == "" | desPag == "" | entrega == "" | recibe == "") {
        swal("Alto", "Debe llenar todos los campos necesarios", "warning");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/guardarPagosRapidos',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {
                idePla: idePla, monPag: monPag, checkEnfermeria: checkEnfermeria,
                tipPag: tipPag, refPag: refPag, cveBan: cveBan, fecPag: fecPag, pagUno: pagUno,
                tipPag2: tipPag2, refPag2: refPag2, cveBan2: cveBan2, fecPag2: fecPag2, pagDos: pagDos,
                tipPag3: tipPag3, refPag3: refPag3, cveBan3: cveBan3, fecPag3: fecPag3, pagTres: pagTres,
                desPag: desPag, entrega: entrega, recibe: recibe, alumnos: alumnos
            },
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("con-res-pago").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("con-res-pago").innerHTML = respuesta;
                limpiarCampos();
                cargarPagosRapidos(idePla);
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("con-res-pago").innerHTML = '(X__X)';
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }
}//guardarPagoRapido

function limpiarCampos() {

    document.getElementById("monPag").value = "";

    document.getElementById("tipPag").value = "default";
    document.getElementById("refPag").value = "";
    document.getElementById("cveBan").value = "";
    document.getElementById("fecPag").value = "";

    document.getElementById("tipPag2").value = "";
    document.getElementById("refPag2").value = "";
    document.getElementById("cveBan2").value = "";
    document.getElementById("fecPag2").value = "";

    document.getElementById("tipPag3").value = "";
    document.getElementById("refPag3").value = "";
    document.getElementById("cveBan3").value = "";
    document.getElementById("fecPag3").value = "";

    document.getElementById("desPag").value = "";
    document.getElementById("entrega").value = "";
    document.getElementById("recibe").value = "";
}

function cargarPagosRapidos(p) {

    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/cargarPagosRapidos',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {
            idePla: p
        },
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("cont-tabla-pagos-rapidos").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 1.5em;"></i>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("cont-tabla-pagos-rapidos").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("cont-tabla-pagos-rapidos").innerHTML = '(X__X)';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}//cargarPagosRapidos







//VALIDAR EL CAMBIO EN EL MODO DE PAGO Y GENERAR LA REFERENCIA CUANDO ES EFECTIVO
function generarReferencia() {
    var modoPago = document.getElementById('tipPag').value;

    switch (modoPago) {
        case '0'://BOUCHER
            document.getElementById('refPag').value = "";
            break;
        case '1'://EFECTIVO

            var d = new Date();
            var ref = "";
            var ref = ref.concat(d.toISOString());


            document.getElementById('refPag').value = ref;
            break;
        case '2':
            document.getElementById('refPag').value = "";
            break;
        case '3':
            document.getElementById('refPag').value = "";
            break;

        default:
            document.getElementById('refPag').value = "";
            break;
    }

}//generarReferencia


//CAMBIAR COLOR DE LA FILA DE LA TABLA
var rowSelected = null;

function cambiarColorFila(id) {

    if (rowSelected != null) {
        var filas = document.getElementsByClassName('filaPlantel');
        for (i = 0; i < filas.length; i++) {
            filas[i].style.backgroundColor = "";
            filas[i].style.color = "";
        }
        rowSelected = id;
        document.getElementById(id).style.backgroundColor = '#336375';
        document.getElementById(id).style.color = '#FFFFFF';

    } else {
        rowSelected = id;
        document.getElementById(id).style.backgroundColor = '#336375';
        document.getElementById(id).style.color = '#FFFFFF';
    }
}//cambiarColorFila